Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.impl
Class XbrlFact

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.impl.XbrlFact

All Implemented Interfaces:
  IXbrlFact

Direct Known Subclasses:
  XbrlTuple

    public class XbrlFact

extends java.lang.Object
implements IXbrlFact

Clase usada para encapsular un objeto correspondiente a un fact XBRL.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`java.lang.String` | `getConcept()` Devuelve el concepto
`IXbrlContext` | `getContext()` Devuelve el objeto IXbrlContext del fact
`java.lang.String` | `getDecimals()` Devuelve el atributo decimals del fact
`java.lang.Object` | `getFactObject()` Devuelve el fact como Object
`java.util.ArrayList<java.lang.String>` | `getFootNotes()` Devuelve la lista de comentarios del fact
`java.lang.String` | `getNamespace()` Devuelve el namespace del fact
`int` | `getOrder()` Devuelve el orden del fact
`java.lang.String` | `getPrefix()` Devuelve el prefijo del fact
`java.lang.String` | `getSign()` Devuelve el signo del fact
`IXbrlUnit` | `getUnit()` Devuelve el objeto IXbrlUnit del fact
`java.lang.String` | `getValue()` Devuelve el valor del Fact
`boolean` | `isTuple()` Devuelve un indicador de si el fact es una tupla
`void` | `setConcept(java.lang.String concept)` Establece el concepto
`void` | `setContext(IXbrlContext context)` Establece el contexto para el fact
`void` | `setDecimals(java.lang.String decimals)` Establece los decimals del fact
`void` | `setFactObject(java.lang.Object factObject)` Establece el fact a partir de un object
`void` | `setFootNotes(java.util.ArrayList<java.lang.String> footNotes)` Establece la lista de comentarios del fact
`void` | `setNamespace(java.lang.String namespace)` Establece el namespace para el fact
`void` | `setOrder(int order)` Establece el orden del fact
`void` | `setPrefix(java.lang.String prefix)` Establece el prefijo del fact
`void` | `setSign(java.lang.String sign)` Establece el signo del fact
`void` | `setUnit(IXbrlUnit unit)` Establece un unit para el Fact
`void` | `setValue(java.lang.String value)` Establece el valor del fact

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConcept

    public final java.lang.String getConcept()

  Description copied from interface: `IXbrlFact`
  Devuelve el concepto

  Specified by:
    `getConcept` in interface `IXbrlFact`
  Returns:
    Concepto

### setConcept

    public final void setConcept(java.lang.String concept)

  Description copied from interface: `IXbrlFact`
  Establece el concepto

  Specified by:
    `setConcept` in interface `IXbrlFact`
  Parameters:
    `concept` - Concepto

### getValue

    public final java.lang.String getValue()

  Description copied from interface: `IXbrlFact`
  Devuelve el valor del Fact

  Specified by:
    `getValue` in interface `IXbrlFact`
  Returns:
    Valor del fact

### setValue

    public final void setValue(java.lang.String value)

  Description copied from interface: `IXbrlFact`
  Establece el valor del fact

  Specified by:
    `setValue` in interface `IXbrlFact`
  Parameters:
    `value` - Valor del fact

### getDecimals

    public final java.lang.String getDecimals()

  Description copied from interface: `IXbrlFact`
  Devuelve el atributo decimals del fact

  Specified by:
    `getDecimals` in interface `IXbrlFact`
  Returns:
    Decimals del fact

### setDecimals

    public final void setDecimals(java.lang.String decimals)

  Description copied from interface: `IXbrlFact`
  Establece los decimals del fact

  Specified by:
    `setDecimals` in interface `IXbrlFact`
  Parameters:
    `decimals` - Decimals del fact

### getUnit

    public final IXbrlUnit getUnit()

  Description copied from interface: `IXbrlFact`
  Devuelve el objeto IXbrlUnit del fact

  Specified by:
    `getUnit` in interface `IXbrlFact`
  Returns:
    objeto IXbrlUnit del fact

### setUnit

    public final void setUnit(IXbrlUnit unit)

  Description copied from interface: `IXbrlFact`
  Establece un unit para el Fact

  Specified by:
    `setUnit` in interface `IXbrlFact`
  Parameters:
    `unit` - objeto IXbrlUnit para el fact

### getContext

    public final IXbrlContext getContext()

  Description copied from interface: `IXbrlFact`
  Devuelve el objeto IXbrlContext del fact

  Specified by:
    `getContext` in interface `IXbrlFact`
  Returns:
    objeot IXbrlContext del fact

### setContext

    public final void setContext(IXbrlContext context)

  Description copied from interface: `IXbrlFact`
  Establece el contexto para el fact

  Specified by:
    `setContext` in interface `IXbrlFact`
  Parameters:
    `context` - objeto IXbrlContext para el fact

### getFactObject

    public final java.lang.Object getFactObject()

  Description copied from interface: `IXbrlFact`
  Devuelve el fact como Object

  Specified by:
    `getFactObject` in interface `IXbrlFact`
  Returns:
    fact en cast as object

### setFactObject

    public final void setFactObject(java.lang.Object factObject)

  Description copied from interface: `IXbrlFact`
  Establece el fact a partir de un object

  Specified by:
    `setFactObject` in interface `IXbrlFact`
  Parameters:
    `factObject` - objeto del tipo Object que representa el fact

### getPrefix

    public final java.lang.String getPrefix()

  Description copied from interface: `IXbrlFact`
  Devuelve el prefijo del fact

  Specified by:
    `getPrefix` in interface `IXbrlFact`
  Returns:
    prefijo del fact

### setPrefix

    public final void setPrefix(java.lang.String prefix)

  Description copied from interface: `IXbrlFact`
  Establece el prefijo del fact

  Specified by:
    `setPrefix` in interface `IXbrlFact`
  Parameters:
    `prefix` - prefijo del fact

### getNamespace

    public final java.lang.String getNamespace()

  Description copied from interface: `IXbrlFact`
  Devuelve el namespace del fact

  Specified by:
    `getNamespace` in interface `IXbrlFact`
  Returns:
    namespace del fact

### setNamespace

    public final void setNamespace(java.lang.String namespace)

  Description copied from interface: `IXbrlFact`
  Establece el namespace para el fact

  Specified by:
    `setNamespace` in interface `IXbrlFact`
  Parameters:
    `namespace` - namespace para el fact

### getSign

    public final java.lang.String getSign()

  Description copied from interface: `IXbrlFact`
  Devuelve el signo del fact

  Specified by:
    `getSign` in interface `IXbrlFact`
  Returns:
    signo del fact

### setSign

    public final void setSign(java.lang.String sign)

  Description copied from interface: `IXbrlFact`
  Establece el signo del fact

  Specified by:
    `setSign` in interface `IXbrlFact`
  Parameters:
    `sign` - signo del fact

### getFootNotes

    public java.util.ArrayList<java.lang.String> getFootNotes()

  Description copied from interface: `IXbrlFact`
  Devuelve la lista de comentarios del fact

  Specified by:
    `getFootNotes` in interface `IXbrlFact`
  Returns:
    lista de comentarios del fact

### setFootNotes

    public void setFootNotes(java.util.ArrayList<java.lang.String> footNotes)

  Description copied from interface: `IXbrlFact`
  Establece la lista de comentarios del fact

  Specified by:
    `setFootNotes` in interface `IXbrlFact`
  Parameters:
    `footNotes` - lista de comentarios del fact

### isTuple

    public boolean isTuple()

  Description copied from interface: `IXbrlFact`
  Devuelve un indicador de si el fact es una tupla

  Specified by:
    `isTuple` in interface `IXbrlFact`
  Returns:
    Indicador de si el fact es una tupla

### setOrder

    public void setOrder(int order)

  Description copied from interface: `IXbrlFact`
  Establece el orden del fact

  Specified by:
    `setOrder` in interface `IXbrlFact`
  Parameters:
    `order` - orden del fact

### getOrder

    public int getOrder()

  Description copied from interface: `IXbrlFact`
  Devuelve el orden del fact

  Specified by:
    `getOrder` in interface `IXbrlFact`
  Returns:
    orden del fact

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD